=== debian/control ===
Source: pstotext
Section: text
Priority: optional
Build-Depends: debhelper (>= 7)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jan Jeroným Zvánovec <jero@zvano.net>
Standards-Version: 3.9.3.0
Homepage: http://www.cs.wisc.edu/~ghost/doc/pstotext.htm

Package: pstotext
Architecture: any
Depends: ghostscript, ${shlibs:Depends}, ${misc:Depends}
Description: Extract text from PostScript and PDF files
 pstotext extracts text (in the ISO 8859-1 character set) from a PostScript
 or PDF (Portable Document Format) file. Thus, pstotext is similar to the
 ps2ascii program that comes with ghostscript. The output of pstotext is
 however better than that of ps2ascii, because pstotext deals better with 
 punctuation and ligatures.
