=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

http://mirror.cs.wisc.edu/pub/mirrors/ghost/contrib/pstotext-(.*)\.tar\.gz
